---
layout: markdown_page
title: "GitLab Onboarding"
---

All onboarding steps are in the [onboarding issue template](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md) which is part of the [People Ops Employment project](https://gitlab.com/gitlab-com/people-ops/employment/issues).

Each onboarding issue has a main section that contains tasks relevant to all GitLab team-members.   Below the main section are department and role-specific tasks.  Some roles and departments have tasks that link to a supplemental issue template or an additional onboarding page.

The lists below categorize each onboarding resource by its location.


### People Ops onboarding issue template
* [All GitLab team-members](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#all-gitlabbers)
* [People Managers](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-people-managers-only)
* [Engineering, such as Developers, Build, Infrastructure, etc.](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-engineering-such-as-developers-build-infrastructure-etc-only)
* [Production and database engineering](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-production-and-database-engineering-only)
* [Database Engineering](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-database-engineering-only)
* [Support](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-support-only)
* [Community advocates](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-community-advocates-only)
* [UX Design](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-ux-designers)
* [Frontend Engineering](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-frontend-engineers-only)
* [Product Management](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-product-management-only)
* [Marketing design](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-marketing-design-only)
* [Security](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-security-only)
* [Finance](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-finance-only)
* [People Ops](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-people-ops-only)
* [Recruiting](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-recruiting-only)
* [Core Team members](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-core-team-members-only)
* [Technical writing](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-technical-writers-only)
* [Marketing non-SDR/BDR](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-marketing-non-sdrbdr-only)
* [Inbound BDRs](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-inbound-bdrs-only)
* [Outbound SDRs](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-outbound-sdrs-only)
* [Sales](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-sales-only)
* [Customer success](https://gitlab.com/gitlab-com/people-ops/employment/blob/master/.gitlab/issue_templates/onboarding.md#for-customer-success-only)

### Supplemental onboarding issue templates

* [Interviewing training issue](https://gitlab.com/gitlab-com/people-ops/Training/blob/master/.gitlab/issue_templates/interview_training.md)
* [Montitor group onboarding issue](https://gitlab.com/gitlab-org/monitor/onboarding/blob/master/.gitlab/issue_templates/Monitor_Onboarding.md)
* [New manager enablement issue](https://gitlab.com/gitlab-com/people-ops/Training/blob/master/.gitlab/issue_templates/new-manager-enablement.md)
* [Production engineering onboarding issue](https://gitlab.com/gitlab-com/gl-infra/infrastructure/blob/master/.gitlab/issue_templates/onboarding_template.md)
* [Security products technical onboarding issue](https://gitlab.com/gitlab-org/security-products/onboarding/blob/master/.gitlab/issue_templates/Technical_Onboarding.md)
* [Support agent onboarding issue](https://gitlab.com/gitlab-com/support/support-training/blob/master/.gitlab/issue_templates/Onboarding%20-%20GitLab.com%20Support%20Agent.md)
* [Support engineer onboarding issue](https://gitlab.com/gitlab-com/support/support-training/blob/master/.gitlab/issue_templates/Onboarding%20-%20GitLab.com%20Support%20Engineer.md)

### Additional onboarding pages

* [Consultant onboarding and offboarding](/handbook/general-onboarding/consultants)
* [Developer onboarding](/handbook/developer-onboarding)
* [GitLab onboarding buddies](/handbook/general-onboarding/onboarding-buddies)
* [Onboarding Processes](/handbook/general-onboarding/onboarding-processes)
* [Quality team onboarding](/handbook/engineering/quality/onboarding/)
* [Sales team onboarding](/handbook/sales-onboarding)
* [Support team onboarding](/handbook/support/onboarding)
* [SRE onboarding](/handbook/engineering/infrastructure/sre-onboarding)
* [Product Designer onboarding](/handbook/engineering/ux/uxdesigner-onboarding)
* [UX Researcher onboarding](/handbook/engineering/ux/uxresearcher-onboarding)
